'use strict';

define([
	'libraries/language',
	'libraries/consts'
], function (LANGUAGE, CONSTS) {

	var app = angular.module("JetAppsApp", [
		"ngRoute",
		"ngAnimate",
		"ngSanitize",
		"ngMaterial",
		"ui.bootstrap",
		"angular-loading-bar",
		"oitozero.ngSweetAlert"
	]).run(function($http) {
	}).config([
		'$routeProvider', '$httpProvider', '$animateProvider', '$controllerProvider', '$compileProvider', '$filterProvider', '$provide', 'cfpLoadingBarProvider',
		function ($routeProvider, $httpProvider, $animateProvider, $controllerProvider, $compileProvider, $filterProvider, $provide, cfpLoadingBarProvider) {
			$animateProvider.classNameFilter(/(action-module)/);

			cfpLoadingBarProvider.includeSpinner = false;
			cfpLoadingBarProvider.includeBar = true;
			cfpLoadingBarProvider.parentSelector = '#loading-bar-container';

			$httpProvider.defaults.ignoreLoadingBar = true;

			app.register = {
				controller: $controllerProvider.register,
				directive: $compileProvider.directive,
				filter: $filterProvider.register,
				factory: $provide.factory,
				service: $provide.service
			};

			var basePath = "templates/jetapps";

			$routeProvider
				.when('/package/:package', { templateUrl: basePath + "/views/package.ptt" })
				.when('/', { templateUrl: basePath + "/views/main.ptt" });
		}
	]).controller("baseController",
		["$rootScope", "$scope", "$http", "$location", "loader",
			function($rootScope, $scope, $http, $location, loader) {

				loader.setScope($scope);
				loader.setTimeout(200);
				loader.init();

				$scope.cp_security_token = window.PAGE.cp_token;
				$scope.LANG = LANGUAGE;
				$scope.LANG.t = $scope.LANG.translate;
				$scope.LANG.d = $scope.LANG.date;
				$scope.CONST = CONSTS;

				$scope.changeView = function(view){
					$location.path(view);
				};
			}
		]
	);

	return app;
});