'use strict';

define([], function() {
	//(function (undefined) {

		var LANGUAGE = function() {};

		LANGUAGE.prototype = {
			_locale: {},
			_timezone: null,
			_dateformat: { weekday: 'short', year: 'numeric', month: 'short', day: 'numeric', hour: 'numeric', minute: 'numeric' },
			_options: {
				code: "en-US",
				date: {
					short: { weekday: 'short', year: 'numeric', month: 'numeric', day: 'numeric' },
					shorttime: { weekday: 'short', year: 'numeric', month: 'numeric', day: 'numeric', hour: 'numeric', minute: 'numeric' },
					long: { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' },
					longtime: { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric', hour: 'numeric', minute: 'numeric' }
				}
			},
			setTimezone: function (timezone) {
				this._timezone = timezone;
			},
			translate: function (str) {
				if(str === undefined || str === null) return "";
				if (this._locale[str] !== undefined) str = this._locale[str];
				var args = arguments;
				var count = 0;
				str = str.replace(/%s/g, function (substring) {
					count++;
					if (args[count] !== undefined) return args[count];
					return substring;
				});
				return str;
			},
			date: function(time, format) {

				if(this._options.date[format] !== undefined) format = this._options.date[format];
				else format = this._dateformat;

				var date = new Date(time);
				if(this._timezone) format.timeZone = this._timezone;
				return date.toLocaleDateString(this._options.code, format);

			},
			options: function(options) {
				marge(this._options, options);
				return this;
			},
			marge: function (locale) {
				marge(this._locale, locale);
				return this;
			}
		};

		var marge = function (ob1, ob2) {
			for (var i in ob2) ob1[i] = ob2[i];
		};

		return new LANGUAGE();
	//})();
});