'use strict';

define([
	'app'
], function (app) {
	app.factory('jetapi', ["$http", "$location", "cfpLoadingBar", function ($http, $location, cfpLoadingBar) {

		function exec(cmd, apiParams, callback, params) {

			if (!apiParams) apiParams = {};
			apiParams.function = cmd;

			if(apiParams.withLoader !== undefined && apiParams.withLoader) cfpLoadingBar.start();

			var request = $http.post('cgi/addons/jetapps/api.cgi', apiParams);

			request.then(function(response) {
				window.PAGE.system = response.data.system;
				if(apiParams.withLoader !== undefined && apiParams.withLoader) cfpLoadingBar.complete();
				if(callback !== undefined && typeof callback === 'function') callback(response.data, params);
			});

			return request;
		}

		return {
			installPackage: function (apiParams, callback, params) { return exec('installPackage', apiParams, callback, params); },
			uninstallPackage: function (apiParams, callback, params) { return exec('uninstallPackage', apiParams, callback, params); },
			changePackageTier: function (apiParams, callback, params) { return exec('changePackageTier', apiParams, callback, params); },
			changePackageAutoUpdate: function (apiParams, callback, params) { return exec('changePackageAutoUpdate', apiParams, callback, params); },
			listPackages: function (apiParams, callback, params) { return exec('listPackages', apiParams, callback, params); },
			getPackage: function (apiParams, callback, params) { return exec('getPackage', apiParams, callback, params); }
		};
	}]);
});